<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: update.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: Проверка обновлений
=====================================================
*/

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

$ModServerID = 11;
$version_id = $Board->Config['id_version'];
$install_patches = $Board->Config['patches'];
$result = @file_get_contents( "http://rezer.net/engine/update.php?mod_id={$ModServerID}&version={$version_id}&patch={$install_patches}" );
if( empty( $result ) )
	{
		$result = "<span style=\"color: #F00;\">Не удалось соединиться с сервером обновлений.</span>";
	}
		else
	{
		$ThisCharset = $config['charset'];
		$ServerCharset = "UTF-8";
		if( strtolower( $ThisCharset ) != strtolower( $ServerCharset ) )
			{
				$result = iconv( $ServerCharset, $ThisCharset."//IGNORE", $result );	
			}
			
		$result = preg_replace( "#<script(.+?)>(.+?)</script>#is", "", $result );
	}

miniloader( "Проверка обновлений" );
opentable();
tableheader( "Проверка обновлений" );
		
echo <<<HTML

<form method="POST" action="" name="activation">
<div style="padding: 5px;">
	$result
</div>
<div class="hr_line"></div>
<div style="padding:5px;">
	<input class="buttons" type="button" value="Закрыть окно" onclick="window.close();" />
	<a href="http://rezer.net/ModuleUpdate.html" target="_blank">Инструкция по установке</a>
</div>
</form>

HTML;
		
closetable();
minifooter();

?>